Package org.eclipse.jface.action

# Class SubToolBarManager

java.lang.Object
org.eclipse.jface.action.SubContributionManager
org.eclipse.jface.action.SubToolBarManager

All Implemented Interfaces:
  `IContributionManager`, `IToolBarManager`

public class SubToolBarManager extends SubContributionManager implements IToolBarManager
A `SubToolBarManager` monitors the additional and removal of items from a parent manager so that visibility of the entire set can be changed as a unit.

## Constructor Summary

Constructors
Constructor
Description
`SubToolBarManager(IToolBarManager mgr)`
Constructs a new manager.

## Method Summary

Modifier and Type
Method
Description
`protected final IToolBarManager`
`getParentToolBarManager()`
`void`
`update(boolean force)`
Updates this manager's underlying widget(s) with any changes which have been made to it or its items.

### Methods inherited from class org.eclipse.jface.action.SubContributionManager

`add, add, appendToGroup, appendToGroup, disposeManager, find, getItems, getOverrides, getParent, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, isVisible, itemAdded, itemRemoved, items, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll, setVisible, unwrap, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll`

## Constructor Details

### SubToolBarManager

public SubToolBarManager(IToolBarManager mgr)
Constructs a new manager.

Parameters:
  `mgr` - the parent manager. All contributions made to the `SubToolBarManager` are forwarded and appear in the parent manager.

## Method Details

### getParentToolBarManager

protected final IToolBarManager getParentToolBarManager()

Returns:
  the parent toolbar manager that this sub-manager contributes to

### update

public void update(boolean force)
Description copied from interface: `IContributionManager`
Updates this manager's underlying widget(s) with any changes which have been made to it or its items. Normally changes to a contribution manager merely mark it as dirty, without updating the underlying widgets. This brings the underlying widgets up to date with any changes.

Specified by:
  `update` in interface `IContributionManager`
Parameters:
  `force` - `true` means update even if not dirty, and `false` for normal incremental updating